Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Support_Attributes Class Template Reference

`#include <Trader_T.h>`

Inheritance diagram for TAO_Support_Attributes:

[legend]
Collaboration diagram for TAO_Support_Attributes:

[legend]
List of all members.

## Public Methods
| TAO_Support_Attributes (const TAO_Support_Attributes_i &attrs)
virtual CORBA::Boolean | supports_modifiable_properties (ACE_ENV_SINGLE_ARG_DECL_NOT_USED) throw (CORBA::SystemException)
virtual CORBA::Boolean | supports_dynamic_properties (ACE_ENV_SINGLE_ARG_DECL_NOT_USED) throw (CORBA::SystemException)
virtual CORBA::Boolean | supports_proxy_offers (ACE_ENV_SINGLE_ARG_DECL_NOT_USED) throw (CORBA::SystemException)
virtual CosTrading::TypeRepository_ptr | type_repos (ACE_ENV_SINGLE_ARG_DECL_NOT_USED) throw (CORBA::SystemException)
## Private Attributes
const TAO_Support_Attributes_i & | attrs_

### template<class IF>
class TAO_Support_Attributes< IF >

## Constructor & Destructor Documentation

template<class IF>
TAO_Support_Attributes< IF >::TAO_Support_Attributes | ( | const TAO_Support_Attributes_i & | attrs | ) |

## Member Function Documentation

template<class IF>
CORBA::Boolean TAO_Support_Attributes< IF >::supports_dynamic_properties | ( | ACE_ENV_SINGLE_ARG_DECL_NOT_USED |  | ) | throw (CORBA::SystemException)`[virtual]`

template<class IF>
CORBA::Boolean TAO_Support_Attributes< IF >::supports_modifiable_properties | ( | ACE_ENV_SINGLE_ARG_DECL_NOT_USED |  | ) | throw (CORBA::SystemException)`[virtual]`

template<class IF>
CORBA::Boolean TAO_Support_Attributes< IF >::supports_proxy_offers | ( | ACE_ENV_SINGLE_ARG_DECL_NOT_USED |  | ) | throw (CORBA::SystemException)`[virtual]`

template<class IF>
CosTrading::TypeRepository_ptr TAO_Support_Attributes< IF >::type_repos | ( | ACE_ENV_SINGLE_ARG_DECL_NOT_USED |  | ) | throw (CORBA::SystemException)`[virtual]`

## Member Data Documentation

template<class IF>
const TAO_Support_Attributes_i& TAO_Support_Attributes::attrs_`[private]`

The documentation for this class was generated from the following files:

- Trader_T.h
- Trader_T.cpp